<template>
  <div class="chapter p-2 w-full mt-4">
    <div class="row flex justify-between pl-4 pr-4 pt-4">
      <h4 class="font-bold">New Chapter</h4>
      <div class="row">
        <button class="btn btn-primary" @click="save">SAVE</button>
      </div>
    </div>
    <div class="pt-4">
      <div class="input-group mb-3">
        <div class="input-group-prepend">
          <span class="input-group-text" id="inputGroup-sizing-default">Chapter Title</span>
        </div>
        <input v-model="title" type="text" class="form-control" aria-label="Sizing example input" aria-describedby="inputGroup-sizing-default">
      </div>
      <vue-editor class="pt-4"  v-model="htmlForEditor"></vue-editor>
    </div>
  </div>
</template>
<script>

  export default {
    props:[
      'bookId',],
    data() {
      return {
        title:"",
        htmlForEditor: ""
      };
    },
    components: {

    },
    mounted(){

    },methods: {
      bind(){

      },
      setEditorContent: function() {
        this.htmlForEditor = this.chapter;
      },
      save:function (){
        const newChapter = Object.assign({}, this.chapter);
        newChapter.content = this.htmlForEditor
        newChapter.title = this.title
        var book = this.$store.dispatch('Books/addChapter', {chapter:newChapter, bookId:this.bookId})

       this.$emit('saved',book)
      },

    }

  }
</script>

<style>
  .chapter{
    box-shadow: #7F828B 1px 1px 1px 1px;
  }
</style>
